package sklep.model;

import java.util.HashMap;

public class Magazyn {
	private final String nazwa;
	private final HashMap<String, Integer> stany = new HashMap<>();
	
	public Magazyn(String n) {
		nazwa = n;
	}
	
	public String getNazwa() {
		return nazwa;
	}
	
	public int stan(String nazwa) {
		Integer stan = stany.get(nazwa);
		if(stan == null)
			return 0;
		else
			return stan;
	}

	public void zmienStan(String nazwa, int zmiana) {
		int staryStan = this.stan(nazwa);
		int nowyStan = staryStan + zmiana;
		if(nowyStan == 0) {
			stany.remove(nazwa);
		} else {
			stany.put(nazwa, nowyStan);
		}
	}
}
